Bug 1093729 - [abrt] pcmanfm: fm_list_ref(): pcmanfm killed by SIGSEGV
Summary: [abrt] pcmanfm: fm_list_ref(): pcmanfm killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcmanfm
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:16d8badb463deeb095e3026a007...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-02 13:30 UTC by shantanudutta1994
Modified: 2015-06-10 19:14 UTC (History)
1 user (show)

Fixed In Version: pcmanfm-1.2.3-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 19:13:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.48 KB, text/plain)
2014-05-02 13:30 UTC, shantanudutta1994
no flags Details
File: cgroup (159 bytes, text/plain)
2014-05-02 13:30 UTC, shantanudutta1994
no flags Details
File: core_backtrace (13.56 KB, text/plain)
2014-05-02 13:30 UTC, shantanudutta1994
no flags Details
File: dso_list (8.14 KB, text/plain)
2014-05-02 13:30 UTC, shantanudutta1994
no flags Details
File: environ (1.68 KB, text/plain)
2014-05-02 13:30 UTC, shantanudutta1994
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-02 13:30 UTC, shantanudutta1994
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-02 13:30 UTC, shantanudutta1994
no flags Details
File: maps (26.93 KB, text/plain)
2014-05-02 13:31 UTC, shantanudutta1994
no flags Details
File: open_fds (1.09 KB, text/plain)
2014-05-02 13:31 UTC, shantanudutta1994
no flags Details
File: proc_pid_status (797 bytes, text/plain)
2014-05-02 13:31 UTC, shantanudutta1994
no flags Details
File: var_log_messages (312 bytes, text/plain)
2014-05-02 13:31 UTC, shantanudutta1994
no flags Details

Description shantanudutta1994 2014-05-02 13:30:24 UTC
Version-Release number of selected component:
pcmanfm-1.1.2-3.D20130830gitfc8adaab77.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        pcmanfm --desktop --profile LXDE
crash_function: fm_list_ref
executable:     /usr/bin/pcmanfm
kernel:         3.13.10-200.fc20.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fm_list_ref at base/fm-list.c:35
 #1 fm_file_info_list_ref at base/fm-file-info.h:141
 #2 _on_drag_data_received at gtk/fm-dnd-dest.c:506
 #3 on_drag_data_received at gtk/fm-dnd-dest.c:591
 #4 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at gtkmarshalers.c:5444
 #8 g_signal_emit_by_name at gsignal.c:3426
 #9 gtk_drag_selection_received at gtkdnd.c:1923
 #10 _gtk_marshal_VOID__BOXED_UINT at gtkmarshalers.c:3268
 #14 g_signal_emit_by_name at gsignal.c:3426
 #15 gtk_selection_retrieval_report at gtkselection.c:2986

Comment 1 shantanudutta1994 2014-05-02 13:30:31 UTC
Created attachment 891809 [details]
File: backtrace

Comment 2 shantanudutta1994 2014-05-02 13:30:33 UTC
Created attachment 891810 [details]
File: cgroup

Comment 3 shantanudutta1994 2014-05-02 13:30:36 UTC
Created attachment 891811 [details]
File: core_backtrace

Comment 4 shantanudutta1994 2014-05-02 13:30:38 UTC
Created attachment 891812 [details]
File: dso_list

Comment 5 shantanudutta1994 2014-05-02 13:30:48 UTC
Created attachment 891813 [details]
File: environ

Comment 6 shantanudutta1994 2014-05-02 13:30:54 UTC
Created attachment 891814 [details]
File: exploitable

Comment 7 shantanudutta1994 2014-05-02 13:30:56 UTC
Created attachment 891815 [details]
File: limits

Comment 8 shantanudutta1994 2014-05-02 13:31:00 UTC
Created attachment 891816 [details]
File: maps

Comment 9 shantanudutta1994 2014-05-02 13:31:03 UTC
Created attachment 891817 [details]
File: open_fds

Comment 10 shantanudutta1994 2014-05-02 13:31:05 UTC
Created attachment 891818 [details]
File: proc_pid_status

Comment 11 shantanudutta1994 2014-05-02 13:31:07 UTC
Created attachment 891819 [details]
File: var_log_messages

Comment 12 Fedora Update System 2015-05-21 16:12:27 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc22,pcmanfm-1.2.3-2.fc22

Comment 13 Fedora Update System 2015-05-21 16:13:24 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc21,pcmanfm-1.2.3-2.fc21

Comment 14 Fedora Update System 2015-05-21 16:14:04 UTC
libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20

Comment 15 Fedora Update System 2015-05-22 17:55:40 UTC
Package libfm-1.2.3-4.D20150521git577806e29d.fc20, pcmanfm-1.2.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libfm-1.2.3-4.D20150521git577806e29d.fc20 pcmanfm-1.2.3-2.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8709/libfm-1.2.3-4.D20150521git577806e29d.fc20,pcmanfm-1.2.3-2.fc20
then log in and leave karma (feedback).

Comment 16 Fedora End Of Life 2015-05-29 11:44:26 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora Update System 2015-06-10 19:12:54 UTC
libfm-1.2.3-5.D20150521git577806e29d.fc21, pcmanfm-1.2.3-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-06-10 19:13:17 UTC
pcmanfm-1.2.3-2.fc20, libfm-1.2.3-5.D20150521git577806e29d.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-06-10 19:14:24 UTC
pcmanfm-1.2.3-2.fc22, libfm-1.2.3-5.D20150521git577806e29d.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.